LogicOp File Reference
`#include <osg/StateAttribute>`

Go to the source code of this file.

## Classes

class | osg::LogicOp

## Namespaces

namespace | osg

## Macros

#define | OSG_LOGICOP 1
#define | GL_CLEAR 0x1500
#define | GL_SET 0x150F
#define | GL_COPY 0x1503
#define | GL_COPY_INVERTED 0x150C
#define | GL_NOOP 0x1505
#define | GL_AND 0x1501
#define | GL_NAND 0x150E
#define | GL_OR 0x1507
#define | GL_NOR 0x1508
#define | GL_XOR 0x1506
#define | GL_EQUIV 0x1509
#define | GL_AND_REVERSE 0x1502
#define | GL_AND_INVERTED 0x1504
#define | GL_OR_REVERSE 0x150B
#define | GL_OR_INVERTED 0x150D
#define | GL_COLOR_LOGIC_OP 0x0BF2

## Macro Definition Documentation

## GL_AND

#define GL_AND 0x1501

## GL_AND_INVERTED

#define GL_AND_INVERTED 0x1504

## GL_AND_REVERSE

#define GL_AND_REVERSE 0x1502

## GL_CLEAR

#define GL_CLEAR 0x1500

## GL_COLOR_LOGIC_OP

#define GL_COLOR_LOGIC_OP 0x0BF2

Referenced by osg::LogicOp::getModeUsage().

## GL_COPY

#define GL_COPY 0x1503

## GL_COPY_INVERTED

#define GL_COPY_INVERTED 0x150C

## GL_EQUIV

#define GL_EQUIV 0x1509

## GL_NAND

#define GL_NAND 0x150E

## GL_NOOP

#define GL_NOOP 0x1505

## GL_NOR

#define GL_NOR 0x1508

## GL_OR

#define GL_OR 0x1507

## GL_OR_INVERTED

#define GL_OR_INVERTED 0x150D

## GL_OR_REVERSE

#define GL_OR_REVERSE 0x150B

## GL_SET

#define GL_SET 0x150F

## GL_XOR

#define GL_XOR 0x1506

## OSG_LOGICOP

#define OSG_LOGICOP 1